Get a model response
OpenAI compatible endpoint to retrieve a response by its ID. This endpoint allows retrieving responses that were created using the create response endpoint. You may see incomplete fields or data if you try to get a response not created using the /responses endpoint. Set stream=true to stream the response as server-sent events. This endpoint is experimental and subject to change or removal
In: header
Path Parameters
uuidQuery Parameters
falseResponse Body
curl -X GET "https://api.wrift.ai/v1/openai/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08?stream=false&starting_after=string"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Generate an image POST
OpenAI compatible image generation endpoint. Note: the auto-generated documentation only displays fields processed by our API. For the complete request and response schema, refer to the official OpenAI Image Generations API specification. This endpoint also supports additional custom request and response fields beyond the OpenAI spec. Requests that get timed out will be cancelled automatically. This endpoint is experimental and subject to change or removal.
Cancel a prediction POST
Cancel a prediction by its id. Only predictions that have not yet terminated can be cancelled. Cancellation is asynchronous and the prediction's status will remain unchanged until cancellation takes effect. Requesting cancellation for a prediction that has already been requested for cancellation is idempotent. Attempting to cancel a terminated prediction will return an error.